
%global meadversion 1.1.3
%global namedversion 1.1.3.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 16
%global namedversionrel redhat-3

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jdom}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.3.redhat-3

Name:           %{?scl_prefix}jdom
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JDOM
Group:          Development/Java

%if %with mead
Source100: jdom-1.1.3.redhat-3-scm-sources.zip
Source102: jdom-1.1.3.redhat-3.jar
Source103: jdom-1.1.3.redhat-3-javadoc.jar
Source104: jdom-1.1.3.redhat-3-sources.jar
Source105: jdom-1.1.3.redhat-3-project-sources.tar.gz
Source106: jdom-1.1.3.redhat-3.pom
%endif

License:        ASL 2.0
URL:            http://www.jdom.org
Requires:       %{?scl_prefix_eap}jaxen >= 0:1.1.3
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
A complete, Java-based solution for accessing, manipulating, and outputting XML
data.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jdom
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jdom -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jdom-%{namedversion}.jar %{buildroot}%{_javadir}/jdom-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jdom-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jdom-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jdom-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jdom-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jdom-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jdom-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jdom-%{namedversion} -x META-INF/\*
%{__ln_s} jdom-%{namedversion} %{buildroot}%{_javadocdir}/jdom
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc core/TODO.txt core/CHANGES.txt core/COMMITTERS.txt core/README.txt core/LICENSE.txt
%{_javadir}/jdom-%{namedversion}.jar
%{_javadir}/jdom.jar
%if %with javadoc
%{_javadir}/jdom-%{namedversion}-javadoc.jar
%{_javadir}/jdom-javadoc.jar
%endif
%{_javadir}/jdom-%{namedversion}-sources.jar
%{_javadir}/jdom-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jdom-%{namedversion}
%{_javadocdir}/jdom
%endif

%changelog
* Wed Jul 04 2018 Yong Yang <yyang@redhat.com> - 1.1.3-16.redhat_3.1
- Rewrap for 7.2.0

* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 1.1.3-3.redhat_3.1
- Re-wrap to include RHEL-6

* Mon May 11 2015 David Walluck <dwalluck@redhat.com> - 1.1.3-2.redhat_3.1
- rebuild to fix version

* Mon May 11 2015 David Walluck <dwalluck@redhat.com> - 1.1-1.3.2
- first EAP 7 release

